package chapter4;

class Animal {
    private String name;
    private int age;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }
}

// 定义 Dog 类继承 Animal 类
class Dog extends Animal {
    private String color;

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }
}

public class Example01 {
    public static void main(String[] args) {
        Dog dog = new Dog();
        dog.setName("牧羊犬");
        dog.setAge(3);
        System.out.println("名称：" + dog.getName() + "，年龄：" + dog.getAge());
    }
}
